webscraperapi.ai
API Reference

Google Shopping Search Endpoint

Search Google Shopping for product listings with prices, merchant info, and actual product URLs. Supports currency, language, and geographic targeting.

GET
/v2/google_shopping_search

Query Parameters

query?|

Search query for Google Shopping.

domain?|

Google domain TLD (e.g., 'com', 'cl', 'uk').

locale?|

Interface language in IETF BCP 47 (e.g., 'en-US').

geo_location?|

Geographic location (e.g., 'Brazil', 'Germany').

language?|

Results language in ISO 639-1 (e.g., 'en', 'es').

currency?|

ISO 4217 currency code (e.g., 'USD', 'EUR').

prompt?|

Optional prompt for LLM processing.

render_js?|

Whether to render JavaScript.

output?|

Output format.

Default"markdown"
timeout_ms?|

Request timeout in milliseconds.

Response Body

application/json

application/json

curl -X GET "https://api.webscraperapi.ai/v2/google_shopping_search"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}